Subject: Re: bug#32581: 24.4; make recover-file a prompt instead of a warning

From: Andreas Röhler <[email-masked]>
Date: Sat, 13 Jul 2019 18:26:00 +0200

On 13.07.19 15:35, Lars Ingebrigtsen wrote:
> Glenn Linderman <[email-masked]> writes:
>
>> I think you understood correctly.  I'm not sure what version of which
>> Python-mode I have, but could probably figure it out somehow (I love emacs,
>> because it has extensions, but I'm not real good at writing or understanding
>> elisp: I use other people's extensions, mostly, and a bit of cut-n-paste
>> programming for a few more customizations).
>>
>> Probably the following message, that I get every time I open the file.
>>
>> "Warning: no abbrev-file found, customize `abbrev-file-name' in order to make
>> mode-specific abbrevs work."
> Right.  Some modes are chatty at startup and hides warnings you're
> interested in.
>
> It's perfectly valid to not want to load an autosaved file, and making
> Emacs prompt would be an inconvenience, in my opinion.
>
> Perhaps Emacs should treat auto-saved files a bit more like what it does
> with files that have changed?  I.e., if you try to edit a file with an
> auto-save file, it should prompt you something like "foo has auto save
> data; really edit the buffer?" or something?
>
> Would that make sense?
>

Hi,

python-mode.el developer here. As for the abbrev-file-name, assume 
that's a general warning from Emacs.

Looking for the value of abbrev-file-name and creating a file of that 
name if not existing should silence that warning.

Also auto-save issue seems not mode-related.

BTW bug-reports are welcome at 
https://gitlab.com/python-mode-devs/python-mode/issues

Best,

Andreas